Up

# NSPageLayout

### Authors

Adam Fedor (`fedor@gnu.org`)

> Standard panel for querying user about page layout.

Copyright: (C) 2001 Free Software Foundation, Inc.

### Contents -

1. NSPageLayout
2. Software documentation for the NSApplication(NSPageLayout) category

# NSPageLayout

NSPageLayout provides a panel that allows the user to specify certain information about the printer and how data is formatted for printing. This includes information about the paper size and orientation. Typically you would create a page layout panel with the +pageLayout class method. However, the best way to use the panel is to have the application call the runPageLayout: method in the NSApplication object which would both create a standard NSPageLayout panel and display it in a modal loop. This method would be sent up the responder chain if the user clicked on a Page Layout menu item.

## NSPageLayout : NSPanel

> Declared in:
>   AppKit/NSPageLayout.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +pageLayout
- -accessoryView
- -beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:
- -convertOldFactor:newFactor:
- -pickedButton:
- -pickedOrientation:
- -pickedPaperSize:
- -pickedUnits:
- -printInfo
- -readPrintInfo
- -runModal
- -runModalWithPrintInfo:
- -setAccessoryView:
- -writePrintInfo

### pageLayout

+ (NSPageLayout*) pageLayout;

Creates and returns a shared instance of the NSPageLayout panel.

### accessoryView

- (NSView*) accessoryView;

Returns the accessory view for the page layout panel

### beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:

- (void) beginSheetWithPrintInfo: (NSPrintInfo*)printInfo modalForWindow: (NSWindow*)docWindow delegate: (id)delegate didEndSelector: (SEL)didEndSelector contextInfo: (void*)contextInfo;

Description forthcoming.

### convertOldFactor:newFactor:

- (void) convertOldFactor: (float*)old newFactor: (float*)new;

Convert the old value to a new one based on the current units. This method has been depreciated. It doesn't do anything useful

### pickedButton:

- (void) pickedButton: (id)sender;

This method has been depreciated. It doesn't do anything useful.

### pickedOrientation:

- (void) pickedOrientation: (id)sender;

This method has been depreciated. It doesn't do anything useful.

### pickedPaperSize:

- (void) pickedPaperSize: (id)sender;

This method has been depreciated. It doesn't do anything useful.

### pickedUnits:

- (void) pickedUnits: (id)sender;

This method has been depreciated. It doesn't do anything useful.

### printInfo

- (NSPrintInfo*) printInfo;

Return the NSPrintInfo object that the receiver stores layout information into.

### readPrintInfo

- (void) readPrintInfo;

Updates the receiver panel with information from its NSPrintInfo object

### runModal

- (int) runModal;

Display the Page Layout panel in a modal loop. Saves any aquired information in the shared NSPrintInfo object. Returns NSCancelButton if the user clicks the Cancel button or NSOKButton otherwise.

### runModalWithPrintInfo:

- (int) runModalWithPrintInfo: (NSPrintInfo*)pInfo;

Display the Page Layout panel in a modal loop. Saves any aquired information in the indicated NSPrintInfo object. Returns NSCancelButton if the user clicks the Cancel button or NSOKButton otherwise.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;

Set the accessory view for the page layout panel

### writePrintInfo

- (void) writePrintInfo;

Writes any layout information set by the user to the receiver's NSPrintInfo object

# Software documentation for the NSApplication(NSPageLayout) category

## NSApplication(NSPageLayout)

> Declared in:
>   AppKit/NSPageLayout.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -runPageLayout:

### runPageLayout:

- (void) runPageLayout: (id)sender;

Description forthcoming.

Up